# SPEC file for building Perl module Class-Std

%define real_name Class-Std
%define version 0.0.8
%define release alt1

Name: perl-Class-Std
Version: %version
Release: %release

Summary: Perl module for creating standard "inside-out" classes 

License: Perl license
Group: Development/Perl
URL: http://search.cpan.org/~dconway/Class-Std/

BuildArch: noarch

Packager: Nikolay A. Fetisov <naf@altlinux.ru>

Source: http://search.cpan.org/CPAN/authors/id/D/DC/DCONWAY/%real_name-v%version.tar.gz

AutoReqProv: perl, yes
BuildRequires(pre): perl-devel
BuildRequires: perl-Module-Build perl-version perl-Test-Pod-Coverage perl-Test-Pod

%description
Perl module Class::Std provides the standard infrastructure 
required to create "inside-out" classes, as described in 
Chapters 15 and 16 of "Perl Best Practices" (O'Reilly, 2005).

%prep
%setup -q -n %real_name-v%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes

%exclude %perl_vendor_man3dir/*
%perl_vendor_privlib/Class/Std*

%changelog
* Thu Aug 09 2007 Nikolay A. Fetisov <naf@altlinux.ru> 0.0.8-alt1
- Initial build for ALT Linux Sisyphus

